org.apache.mina.proxy.handlers.http.digest

## Class HttpDigestAuthLogicHandler

- java.lang.Object
- - org.apache.mina.proxy.handlers.http.AbstractAuthLogicHandler
  - - org.apache.mina.proxy.handlers.http.digest.HttpDigestAuthLogicHandler

-     public class HttpDigestAuthLogicHandler
      extends AbstractAuthLogicHandler

  HttpDigestAuthLogicHandler.java - HTTP Digest authentication mechanism logic handler.
  Since:
    MINA 2.0.0-M3
  Author:
    Apache MINA Project

- - ### Field Summary

    - ### Fields inherited from class org.apache.mina.proxy.handlers.http.AbstractAuthLogicHandler

      `proxyIoSession, request, step`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpDigestAuthLogicHandler(ProxyIoSession proxyIoSession)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doHandshake(IoFilter.NextFilter nextFilter)` Method called at each step of the handshaking process.
    `void` | `handleResponse(HttpProxyResponse response)` Handles a HTTP response from the proxy server.

    - ### Methods inherited from class org.apache.mina.proxy.handlers.http.AbstractAuthLogicHandler

      `addKeepAliveHeaders, writeRequest`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpDigestAuthLogicHandler

          public HttpDigestAuthLogicHandler(ProxyIoSession proxyIoSession)
                                     throws ProxyAuthException

      Throws:
        `ProxyAuthException`

  - ### Method Detail

    - #### doHandshake

          public void doHandshake(IoFilter.NextFilter nextFilter)
                           throws ProxyAuthException

      Description copied from class: `AbstractAuthLogicHandler`
      Method called at each step of the handshaking process.
      Specified by:
        `doHandshake` in class `AbstractAuthLogicHandler`
      Parameters:
        `nextFilter` - the next filter
      Throws:
        `ProxyAuthException`

    - #### handleResponse

          public void handleResponse(HttpProxyResponse response)
                              throws ProxyAuthException

      Description copied from class: `AbstractAuthLogicHandler`
      Handles a HTTP response from the proxy server.
      Specified by:
        `handleResponse` in class `AbstractAuthLogicHandler`
      Parameters:
        `response` - The HTTP response.
      Throws:
        `ProxyAuthException`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.